using System;
using System.Linq;
using Apples = System.Tuple<double, double>;

namespace tournament_dohikies
{
    class Program
    {
        static Apples load()
        {
            string[] s = Console.ReadLine().Split();
            double income = double.Parse(s[0]);
            double percent = double.Parse(s[1]);
            percent /= 100;
            return Tuple.Create(percent, income);
        }
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            Apples[] A = new Apples[N];
            for (int i = 0; i < N; i++)
                A[i] = load();
            Array.Sort(A);
            double[] da_helper = new double[N];
            double help = 0;
            int counter = 0;
            foreach (Tuple<double, double> tuple in A.Reverse())
            {
                help += tuple.Item2;
                da_helper[counter] = help * tuple.Item1;
                counter++;
            }
            Array.Sort(da_helper);
            Console.WriteLine(da_helper[N - 1]);
        }
    }
}